> For the complete documentation index, see [llms.txt](https://docs.whisk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whisk.com/master/api/recipe-discovery/get-similar-recipes.md).

# Get Similar Recipes

| GET | `/v1/feed?type=related&itemId=:recipeId` |
| --- | ---------------------------------------- |

Find recipes that are similar to the given one.\
\
Fetching similar recipes implemented on top of [Feed API](/master/api/recipe-discovery/recipe-feed.md) where the client requests related type

By default only Recipe content type is returned, however, in the future, the support will be added to other returned types, such as Products, Featured groups of recipes, etc.\
\
This will be controlled by allowedTypes parameter

## Parameters

| ATTRIBUTE          | TYPE            | DESCRIPTION                                                                                             |
| ------------------ | --------------- | ------------------------------------------------------------------------------------------------------- |
| limit              | integer         | <p>This is the maximum number of objects that may be returned</p><p>Default value: 16</p>               |
| before             | string          | This is the cursor to return data on a page before it.                                                  |
| after              | string          | This is the cursor to return data from a next page.                                                     |
| id                 | string          | Feed identifier                                                                                         |
| country            | string          | <p>Country in ISO 3166-1 alpha-2 format e.g. GB, US, ...</p><p>Default value: GB</p>                    |
| language           | string          | <p>Language in ISO 639-1 format e.g. en, it, de ...</p><p>Default value: en</p>                         |
| allowedContent     | array           | <p>List of feed types</p><p>Possible values: recipe, link, group.</p><p>Default value: recipe</p>       |
| labels             | array \[string] | [how to use labels](/master/resources/recipe-labels.md)                                                 |
| excludeIngredients | array \[string] | recipes should not have any of these ingredients                                                        |
| filterKey          | string          | Filter by a group allows to get items related to specific group. Example: category::quick-and-easy      |
| tags               | array           | <p>List of feed recommendation tags</p><p>Possible values: easyDinners, dinners, trending, healthy.</p> |
| fields             | array \[string] | Extra fields to return on recipe                                                                        |

### Sample Request

```bash
curl "https://graph.whisk.com/v1/feed?type=related&itemId=9773cb7eca5d11e7ae7e42010a9a0035&limit=3" \
    -H "Accept: application/json" \
    -H "Authorization: Token <Access-Token>"
```

### Response

See [Recipe Feed response](/master/api/recipe-discovery/recipe-feed.md#feedresponse) documentation


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whisk.com/master/api/recipe-discovery/get-similar-recipes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
